org.springframework.beans.factory.parsing

## Interface SourceExtractor

All Known Implementing Classes:
  NullSourceExtractor, PassThroughSourceExtractor

    public interface SourceExtractor

Simple strategy allowing tools to control how source metadata is attached to the bean definition metadata.

Configuration parsers may provide the ability to attach source metadata during the parse phase. They will offer this metadata in a generic format which can be further modified by a `SourceExtractor` before being attached to the bean definition metadata.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `BeanMetadataElement.getSource()`, `BeanDefinition`

### Method Summary

Methods
`Object` `extractSource(Object sourceCandidate, Resource definingResource)` Extract the source metadata from the candidate object supplied by the configuration parser.

### Method Detail

#### extractSource

    Object extractSource(Object sourceCandidate,
                       Resource definingResource)

Extract the source metadata from the candidate object supplied by the configuration parser.

Parameters:
  `sourceCandidate` - the original source metadata (never `null`)
  `definingResource` - the resource that defines the given source object (may be `null`)
Returns:
  the source metadata object to store (may be `null`)